# babyphone - A baby monitor application on the Nokia N900.
#     Copyright (C) 2010  Roman Morawek <maemo@morawek.at>
#
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.

QT       += core gui
QT       += multimedia
QT       += dbus

CONFIG   += mobility
MOBILITY += messaging


TARGET = babyphone
TEMPLATE = app


SOURCES += main.cpp\
    mainwindow.cpp \
    usernotifier.cpp \
    audiolevelgraphicsscene.cpp \
    audiomonitor.cpp \
    settings.cpp

HEADERS  += mainwindow.h \
    usernotifier.h \
    audiolevelgraphicsscene.h \
    audiomonitor.h \
    settings.h

FORMS    += mainwindow.ui \
    settings.ui



unix {
  PREFIX = /usr
  BINDIR = $$PREFIX/bin
  DATADIR =$$PREFIX/share

  DEFINES += DATADIR=\"$$DATADIR\" PKGDATADIR=\"$$PKGDATADIR\"

  #MAKE INSTALL

  INSTALLS += target desktop icon64 

  target.path =$$BINDIR

  desktop.path = $$DATADIR/applications/hildon
  desktop.files += $${TARGET}.desktop
 
  icon64.path = $$DATADIR/icons/hicolor/64x64/apps
  icon64.files += $${TARGET}.png
}
